Bug 632856 - Review Request: xinput_calibrator - A generic touchscreen calibration program for X.Org
Summary: Review Request: xinput_calibrator - A generic touchscreen calibration program...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-09-11 14:00 UTC by Dave Ludlow
Modified: 2013-05-20 14:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-20 14:38:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Ludlow 2010-09-11 14:00:45 UTC
Spec URL: http://adsllc.fedorapeople.org/rpmbuild/SPECS/xinput_calibrator.spec
SRPM URL: http://adsllc.fedorapeople.org/rpmbuild/SRPMS/xinput_calibrator-0.7.0-1.fc13.src.rpm
Description:
xinput_calibrator is a program for calibrating your touchscreen, when using
the X Window System.
It currently features:
 - a minimalist and intuitive GUI
 - works for any standard Xorg touchscreen driver (uses XInput)
 - can output the calibration in xorg.conf, FDI and udev format
 - can dynamically recalibrate the evdev driver
 - and more

Comment 1 Dave Ludlow 2010-09-11 16:00:07 UTC
RPMLINT

$ rpmlint SPECS/xinput_calibrator.spec RPMS/x86_64/xinput_calibrator-*0.7* SRPMS/xinput_calibrator-0.7.0-1.fc13.src.rpm 
xinput_calibrator.x86_64: W: spelling-error %description -l en_US xinput -> input, x input, Xingu
xinput_calibrator.x86_64: W: spelling-error %description -l en_US xorg -> xor, org, borg
xinput_calibrator.x86_64: W: spelling-error %description -l en_US udev -> udder, Udine, Aude
xinput_calibrator.x86_64: W: spelling-error %description -l en_US evdev -> evade, evident, evidence
xinput_calibrator-debuginfo.x86_64: W: spelling-error Summary(en_US) xinput -> input, x input, Xingu
xinput_calibrator-debuginfo.x86_64: W: spelling-error %description -l en_US xinput -> input, x input, Xingu
xinput_calibrator.src: W: spelling-error %description -l en_US xinput -> input, x input, Xingu
xinput_calibrator.src: W: spelling-error %description -l en_US xorg -> xor, org, borg
xinput_calibrator.src: W: spelling-error %description -l en_US udev -> udder, Udine, Aude
xinput_calibrator.src: W: spelling-error %description -l en_US evdev -> evade, evident, evidence
3 packages and 1 specfiles checked; 0 errors, 10 warnings.


Warnings discussion:
The spell-checker is being overzealous with proper names; everything is fine.

KOJI

http://koji.fedoraproject.org/koji/taskinfo?taskID=2461650

Comment 2 Robert Scheck 2011-04-25 17:52:06 UTC
Some thoughts:

 - Why do you need the %global usage (first 4 lines)?
 - Why "%configure --prefix=%{_prefix} --libdir=%{_libdir}" rather "%configure"?

Comment 3 Dave Ludlow 2011-04-25 18:31:05 UTC
Robert:

The %global statements are used to make it so that information is specified once instead of scattered throughout the file.  It also makes maintainability easier since you can confidently change the information without worrying about subtle side effects.  See also:
https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

The prefix and libdir are specified so that the files are installed to /usr/bin and /usr/lib* instead of /usr/local/bin and /usr/local/lib*.

Packages install their files into /usr, hand-compiled programs install their files into /usr/local.  See also the '/usr/local' section of:
http://tldp.org/LDP/Linux-Filesystem-Hierarchy/html/usr.html

Comment 4 Robert Scheck 2011-04-26 22:27:13 UTC
Fedora dislikes the usage of %global for %{name}, %{version}, %{release} and
other basic things, because "Name: xinput_calibrator" brings the same result
as "%global name xinput_calibrator", so please correct this accordingly.

There is no need to set %{_prefix} for yourself, because did you ever have a
look to what %configure expands? And there is also no need for the parameters
you added, because of this:

$ rpm --eval '%configure'

  CFLAGS="${CFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic}" ; export CFLAGS ; 
  CXXFLAGS="${CXXFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic}" ; export CXXFLAGS ; 
  FFLAGS="${FFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -I/usr/lib64/gfortran/modules}" ; export FFLAGS ; 
  ./configure --build=x86_64-unknown-linux-gnu --host=x86_64-unknown-linux-gnu \
	--program-prefix= \
	--disable-dependency-tracking \
	--prefix=/usr \
	--exec-prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--sysconfdir=/etc \
	--datadir=/usr/share \
	--includedir=/usr/include \
	--libdir=/usr/lib64 \
	--libexecdir=/usr/libexec \
	--localstatedir=/var \
	--sharedstatedir=/var/lib \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info
%

If the expansion does not fit for you, your build system is misconfigured or
not set up as it should be.

Comment 5 Didier 2011-06-06 16:41:39 UTC
With the supplied .spec file, xinput_calibrator version 0.7.5 compiles and installs flawlessly on F15 (i686).

Comment 6 Robert Scheck 2011-06-06 21:18:35 UTC
Possible, but technical excellence and keeping the rules is also important. I
don't see any fixed/reworked spec file so far...

Comment 7 Didier 2011-06-07 06:45:39 UTC
Of course ; I was only providing a pointer that the package is still current.

Comment 8 Thomas Spura 2011-10-06 22:50:49 UTC
(In reply to comment #7)
> Of course ; I was only providing a pointer that the package is still current.

Providing a pointer, that Robert is right and there should be a new one with changes. Will there be new one?

Comment 9 Jason Tibbitts 2012-04-24 21:28:28 UTC
Still no updated package?  I will close this soon if there's no response.


Note You need to log in before you can comment on or make changes to this bug.